Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory

    java.lang.Object
      org.apache.catalina.mbeans.JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory

All Implemented Interfaces:
  java.io.Serializable, java.rmi.server.RMIClientSocketFactory

Enclosing class:
  JmxRemoteLifecycleListener

    public static class JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory

extends java.lang.Object
implements java.rmi.server.RMIClientSocketFactory, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory(java.rmi.server.RMIClientSocketFactory theFactory)`

Method Summary
`java.net.Socket` | `createSocket(java.lang.String host, int port)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory

    public JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory(java.rmi.server.RMIClientSocketFactory theFactory)

Method Detail

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in interface `java.rmi.server.RMIClientSocketFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.